# $Revision: 1.24 $, $Date: 2010/07/08 07:39:40 $
Summary:	BitTornado - an improved bittorrent client
Summary(pl.UTF-8):	BitTornado - ulepszony klient bittorrenta
Name:		BitTornado
Version:	0.3.18
Release:	4
License:	MIT
Group:		Applications/Communications
Source0:	http://download2.bittornado.com/download/%{name}-%{version}.tar.gz
# Source0-md5:	faeb137036cfaaeab91afc7f62c7dc30
URL:		http://bittornado.com/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-modules
Obsoletes:	BitTorrent < 4.2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BitTornado is an improved bittorrent client that was built on the
original BitTorrent. This client features an enhanced console/curses
mode, lots of new features under the hood, and is generally one of the
most advanced clients out there. It allows you to limit your bandwidth
consumption, and provides more control over your torrents. It does
everything the original bittorrent does, plus more.

%description -l pl.UTF-8
BitTornado jest ulepszonym klientem bittorrenta zbudowanym bazując na
oryginalnym BitTorrent. Klient charakteryzuje się rozszerzoną obsługą
konsoli, kilkoma nowymi właściwościami i jest generalnie jednym z
bardziej zaawansowanych klientów bittorrenta. Pozwala ograniczać
przepustowość oraz udostępnia dużą kontrolę nad torrentami. Umie
wszystko co umiał oryginalny klient bittorrenta i jeszcze troszkę
więcej.

%package gui
Summary:	GUI for BitTornado
Summary(pl.UTF-8):	Graficzny interfejs użytkownika dla BitTornado
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	python-wxPython >= 2.5.2
Obsoletes:	BitTorrent-gui < 4.2.0

%description gui
wxWindows based GUI for BitTorrent.

%description gui -l pl.UTF-8
Bazujący na wxWindows graficzny interfejs użytkownika dla BitTorrenta.

%prep
%setup -q -n %{name}-CVS
# enabled Psyco
%{__sed} -i 's,^psyco = 0,psyco = 1,' BitTornado/PSYCO.py

%build
find -type f -exec sed -i -e 's|#!.*python.*|#!%{_bindir}/python|g' "{}" ";"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

python ./setup.py install --optimize=2 --root=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

install docs/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/btcompletedir.py
%attr(755,root,root) %{_bindir}/btdownloadcurses.py
%attr(755,root,root) %{_bindir}/btdownloadheadless.py
%attr(755,root,root) %{_bindir}/btlaunchmany*.py
%attr(755,root,root) %{_bindir}/btmakemetafile.py
%attr(755,root,root) %{_bindir}/btr*.py
%attr(755,root,root) %{_bindir}/btt*.py
%attr(755,root,root) %{_bindir}/btshowmetainfo.py
%attr(755,root,root) %{_bindir}/btsethttpseeds.py
%attr(755,root,root) %{_bindir}/btcopyannounce.py
%{py_sitescriptdir}/%{name}
%{_mandir}/man1/*.bittornado.1*
%{_mandir}/man1/btcopyannounce.1*
%{_mandir}/man1/btsethttpseeds.1*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/btdownloadgui.py
%attr(755,root,root) %{_bindir}/btcompletedirgui.py
%attr(755,root,root) %{_bindir}/btmaketorrentgui.py
%attr(755,root,root) %{_bindir}/bt-t-make.py
%{_mandir}/man1/btmaketorrentgui.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: BitTornado.spec,v $
Revision 1.24  2010/07/08 07:39:40  arekm
- release 4

Revision 1.23  2008/10/03 17:40:29  arekm
- release 3

Revision 1.22  2007-06-20 16:52:06  qboosh
- sanitized

Revision 1.21  2007/06/20 16:50:14  teodor
- added manuals

Revision 1.20  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.19  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.18  2007/02/11 19:58:12  ankry
- fixed pl summary

Revision 1.17  2007/01/31 10:30:59  undefine
- up to 0.3.18

Revision 1.16  2006/10/24 13:47:49  charles
- updated to 0.3.17
- shorten BRs

Revision 1.15  2006/04/13 17:55:25  ciesiel
- upgraded to version 0.3.15

Revision 1.14  2006/04/01 23:24:48  paszczus
- added BR: rpm-pythonprov (or maybe it is Obsolete?)

Revision 1.13  2005/12/15 12:57:17  arekm
- up to 0.3.14

Revision 1.12  2005/12/13 21:17:26  arekm
- no need to obsolete anything recent

Revision 1.11  2005/09/18 00:47:34  troll
- updated to 0.3.13

Revision 1.10  2005/04/23 08:17:04  charles
- removed unnecessary BR unzip
- enabled Psyco
- STBR

Revision 1.9  2005/04/22 06:13:33  charles
- updated to 0.3.12
- BR: python, python-modules

Revision 1.8  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.7  2005/01/24 14:58:19  wrobell
- ver. 0.3.10

Revision 1.6  2004/12/28 04:43:57  wrobell
- rel. 1

Revision 1.5  2004/12/28 03:38:59  wrobell
- ver. 0.3.9b

Revision 1.4  2004/12/23 16:31:30  saq
- release 2 for rebuild with python 2.4

Revision 1.3  2004/10/30 19:20:58  ciesiel
- upgrade to version 0.3.8

Revision 1.2  2004/08/04 19:28:28  qboosh
- formatting

Revision 1.1  2004/08/04 19:17:56  undefine
- initital pld version
